## /Auth/OpenID/Nonce.php

Description

Nonce-related functionality.

Includes
require_once ('Auth/OpenID/CryptUtil.php') (line 12)

Need CryptUtil to generate random strings.

Constants
Auth_OpenID_Nonce_CHRS = "abcdefghijklmnopqrstuvwxyz"."ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789" (line 17)

This is the characters that the nonces are made from.

Auth_OpenID_Nonce_REGEX = '/(\d{4})-(\d\d)-(\d\d)T(\d\d):(\d\d):(\d\d)Z(.*)/' (line 26)
Auth_OpenID_Nonce_TIME_FMT = '%Y-%m-%dT%H:%M:%SZ' (line 29)
Functions
Auth_OpenID_checkTimestamp (line 59)
void Auth_OpenID_checkTimestamp ( $nonce_string, [ $allowed_skew = null], [ $now = null])

- $nonce_string
- $allowed_skew
- $now

Auth_OpenID_mkNonce (line 93)
void Auth_OpenID_mkNonce ([ $when = null])

- $when

Auth_OpenID_splitNonce (line 32)
void Auth_OpenID_splitNonce ( $nonce_string)

- $nonce_string

Documentation generated on Tue, 21 Apr 2009 11:31:32 -0700 by phpDocumentor 1.3.2